Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class AddJobFlowStepsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.elasticmapreduce.model.AddJobFlowStepsRequest

    public class AddJobFlowStepsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `AddJobFlowSteps operation`.

AddJobFlowSteps adds new steps to a running job flow. The maximum number of steps in a job flow is 256.

A step specifies the location of a JAR file stored either on the master node of the job flow or in Amazon S3. Each step is performed by the main function of the main class of the JAR file. The main class can be specified either in the manifest of the JAR or by using the MainFunction parameter of the step.

SElastic MapReduce executes each step in the order listed. For a step to be considered complete, the main function must exit with a zero exit code and all Hadoop jobs started while the step was running must have completed and run successfully.

You can only add steps to a job flow that is in one of the following states: STARTING, BOOTSTAPPING, RUNNING or WAITING.

See Also:
  `AmazonElasticMapReduce.addJobFlowSteps(AddJobFlowStepsRequest)`

Constructor Summary
`AddJobFlowStepsRequest()`

Method Summary
`String` | `getJobFlowId()` A string that uniquely identifies the job flow.
`List<StepConfig>` | `getSteps()` A list of StepConfig to be executed by the job flow.
`void` | `setJobFlowId(String jobFlowId)` A string that uniquely identifies the job flow.
`void` | `setSteps(Collection<StepConfig> steps)` A list of StepConfig to be executed by the job flow.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AddJobFlowStepsRequest` | `withJobFlowId(String jobFlowId)` A string that uniquely identifies the job flow.
`AddJobFlowStepsRequest` | `withSteps(Collection<StepConfig> steps)` A list of StepConfig to be executed by the job flow.
`AddJobFlowStepsRequest` | `withSteps(StepConfig... steps)` A list of StepConfig to be executed by the job flow.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddJobFlowStepsRequest

    public AddJobFlowStepsRequest()

Method Detail

### getJobFlowId

    public String getJobFlowId()

  A string that uniquely identifies the job flow. This identifier is returned by RunJobFlow and can also be obtained from DescribeJobFlows .

  Returns:
    A string that uniquely identifies the job flow. This identifier is returned by RunJobFlow and can also be obtained from DescribeJobFlows .

### setJobFlowId

    public void setJobFlowId(String jobFlowId)

  A string that uniquely identifies the job flow. This identifier is returned by RunJobFlow and can also be obtained from DescribeJobFlows .

  Parameters:
    `jobFlowId` - A string that uniquely identifies the job flow. This identifier is returned by RunJobFlow and can also be obtained from DescribeJobFlows .

### withJobFlowId

    public AddJobFlowStepsRequest withJobFlowId(String jobFlowId)

  A string that uniquely identifies the job flow. This identifier is returned by RunJobFlow and can also be obtained from DescribeJobFlows .

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlowId` - A string that uniquely identifies the job flow. This identifier is returned by RunJobFlow and can also be obtained from DescribeJobFlows .
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSteps

    public List<StepConfig> getSteps()

  A list of StepConfig to be executed by the job flow.

  Returns:
    A list of StepConfig to be executed by the job flow.

### setSteps

    public void setSteps(Collection<StepConfig> steps)

  A list of StepConfig to be executed by the job flow.

  Parameters:
    `steps` - A list of StepConfig to be executed by the job flow.

### withSteps

    public AddJobFlowStepsRequest withSteps(StepConfig... steps)

  A list of StepConfig to be executed by the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `steps` - A list of StepConfig to be executed by the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSteps

    public AddJobFlowStepsRequest withSteps(Collection<StepConfig> steps)

  A list of StepConfig to be executed by the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `steps` - A list of StepConfig to be executed by the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.